[![Build Status](https://travis-ci.com/rightscale/rightscale-network-agent.svg?token=GoZeb5fH3U2AXfxxupWL&branch=master)](https://travis-ci.com/rightscale/rightscale-network-agent)

# RightScale Network Agent
==========================

## Overview

This software configures networking based on information passed through VMware extraconfig. It consists of a single shell script to read and act on the metadata passed via extraconfig. Networking information is created and passed via the RightScale Cloud Appliance for vSphere (RCA-V - http://docs.rightscale.com/rcav) and RightLink 10 (http://docs.rightscale.com/rl10) or newer. RightLink 6 contains built-in software to perform the same function as this software. For further details see Advanced Networking for Vsphere (http://docs.rightscale.com/rl10/reference/rl10_rcav.html)

## Requirements
* Extraconfig must be enabled
* VMware tools installed
* RightLink 10.2.0+ installed
* Server must be launched via the RightScale dashboard so it's managed by RCA-V
* CentOS/RHEL 6+, Ubuntu 12.04+, Windows 2008R2+

## Installation

On Linux, run ./scripts/install.sh to install. Run ./scripts/uninstall.sh to remove. The script will autodetect your init system (upstart/systemd/sysvinit supported) and run pre-networking. 

On Windows, run ./scripts/install.ps1 to install. Run ./scripts/uninstall.ps1 to remove. The script will autodetect your init system (upstart/systemd/sysvinit supported) and run pre-networking. 

Note that RightLink 10.2.0 will automatically run these installation scripts for you during its installation if it's on a vSphere instance with VMware tools already installed.

## Usage

Run 'make build' or 'make test' to build a tarball or run tests. Run 'make deb' or 'make rpm' to build packages if your on an appropriate system.(YMMV)

## Support

Maintained by the RightScale Ivory Team

## License

Copyright:: Copyright (c) 2009-2015 RightScale, Inc.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
