function GetStatus([string]$service) {
  $ErrorActionPreference="Continue"
  $str = & $NSSM status $service 2> $null
  $ErrorActionPreference="Stop"

  # Strings returned from a command like nssm.exe have extra whitespace between each
  # character if assigned to a powershell var -- clear those out.
  $str -replace "`0", ""
}

$RIGHTLINK_DIR        = "$env:ProgramFiles\RightScale\RightLink"
$RIGHTNETWORK_DIR     = "$env:ProgramFiles\RightScale\RightNetwork"
$NSSM                 = "$RIGHTLINK_DIR\nssm.exe"

& $NSSM remove RightScaleNetwork confirm
Remove-Item -Recurse -Force $RIGHTNETWORK_DIR

$status = GetStatus('RightScaleUserData')
if ($status -like "SERVICE_*") {
  & $NSSM set RightScaleUserData Start SERVICE_AUTO_START
}
